Subject: Re: bug#53329: Integrated keyboard doesn't work (Lenovo N22)

From: Leo Famulari <[email-masked]>
Date: Tue, 18 Jan 2022 20:34:28 -0500

On Tue, Jan 18, 2022 at 11:39:14PM +0000, Jack Ridehalgh wrote:
> 
> I can confirm the built-in kernel module in branch wip-fix-53329 has fixed the
> keyboard issue on my laptop. With regards to trying 4.4-lts, I would get a
> black screen on boot so I couldn't test that.

Great! I've deployed the fix on the "master branch", so you should get
it by default the next time you pull and reconfigure.

You might get a warning from `guix pull` about "downgrades" the next
time you pull, since the wip-fix-53329 branch forked off the main
branch... not sure. Anyways, it's safe to use --allow-downgrades this
time, if necessary. Check here for a reference on the subject:

https://guix.gnu.org/manual/devel/en/html_node/Invoking-guix-pull.html